<?php
	FNTH_class( "GoogleMaps" );

	class GoogleMapsMarker extends FNTHGoogleMapsMarker {
		public function __construct( $lat , $lng , $parent ) {
			parent::__construct( $lat , $lng , $parent );
			$this->setMinZoom( 8 );
			$this->setMaxZoom( 17 );
			$this->setIconPath( $GLOBALS["site_www"] . "/images/gmapbg.png" );
			$this->setIconSize( 32 , 32 );
			$this->setIconAnchor( 16 , 16 );
		}
	}


	class GoogleMaps extends FNTHGoogleMaps {
		public function __construct( $id , $parent = null ) {
			parent::__construct( $id , $parent );
			$this->setGMKey( "ABQIAAAAiA_LjZWJvZCyA81debEXERQmZsEhj_jiCxgD83nZ8ey0qYqEWhSkn0b9K-FMPnLAS9bAp4Hhluim7A" );
			$this->setGMKey( "ABQIAAAAiA_LjZWJvZCyA81debEXERSlD26jcFjaBX1C2dItiaU1fgRhYhRmJYBQkuJdJkMPgM9q6NHXCyuOaw");
			$this->setCSSAttribute( "width" , "500px" );
			$this->setCSSAttribute( "height" , "500px" );
		}
	}

?>
